Package org.freeplane.api

# Interface LinkRO

All Known Subinterfaces:
  `Link`, `Proxy.Link`, `Proxy.LinkRO`

public interface LinkRO
Node's link: `node.link` - read-only.

None of the getters will throw an exception, even if you call, e.g. getNode() on a File link. Instead they will return null. To check the link type evaluate getUri().getScheme() or the result of the special getters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `get()`
  Deprecated.
  since 1.2 - use `getText()` instead.
  `File`
  `getFile()`
  returns the link as File if defined and if the link target is a valid File URI and null otherwise.
  `Node`
  `getNode()`
  returns the link as Node if defined and if the link target is a valid local link to a node and null otherwise.
  `String`
  `getText()`
  returns the link text, a stringified URI, if a link is defined and null otherwise.
  `URI`
  `getUri()`
  returns the link as URI if defined and null otherwise.

- ## Method Details

  - ### getText

    String getText()
    returns the link text, a stringified URI, if a link is defined and null otherwise.
    Since:
      1.2

  - ### getUri

    URI getUri()
    returns the link as URI if defined and null otherwise. Won't throw an exception.
    Since:
      1.2

  - ### getFile

    File getFile()
    returns the link as File if defined and if the link target is a valid File URI and null otherwise.
    Since:
      1.2
    See Also:
      - `File(URI)`

  - ### getNode

    Node getNode()
    returns the link as Node if defined and if the link target is a valid local link to a node and null otherwise.
    Since:
      1.2

  - ### get

    @Deprecated String get()
    Deprecated.
    since 1.2 - use `getText()` instead.